### Function

# EDataBook BookCacheSearchFunc

since: 3.26

#### Declaration

    gboolean
    (* EBookCacheSearchFunc) (
      EBookCache* book_cache,
      const gchar* uid,
      const gchar* revision,
      const gchar* object,
      const gchar* extra,
      guint32 custom_flags,
      EOfflineState offline_state,
      gpointer user_data
    )

#### Description [src]

A callback called for each object row when using `e_book_cache_search_with_callback()` function.

Available since: 3.26

#### Parameters

`book_cache`

  Type: `EBookCache`

  An `EBookCache`.

  The data is owned by the caller of the function.

`uid`

  Type: `const gchar*`

  A unique object identifier.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`revision`

  Type: `const gchar*`

  The object revision.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`object`

  Type: `const gchar*`

  The object itself.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`extra`

  Type: `const gchar*`

  Extra data stored with the object.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`custom_flags`

  Type: `guint32`

  Object’s custom flags.

`offline_state`

  Type: `EOfflineState`

  Object’s offline state, one of `EOfflineState`.

`user_data`

  Type: `gpointer`

  User data, as used in e_book_cache_search_with_callback().

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` to continue, `FALSE` to stop walk through.